Bug 988773 - Product branch synchronize request
Product branch synchronize request
Status: MODIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ER6
: ---
Assigned To: Edson Tirelli
Lukáš Petrovický
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 06:35 EDT by Ryan Zhang
Modified: 2016-05-30 11:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 09:54:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
builderror.sync10.28.zip (6.01 KB, application/zip)
2013-10-30 04:09 EDT, Ryan Zhang
no flags Details

  None (edit)
Comment 5 Edson Tirelli 2013-08-07 12:46:48 EDT
Sync is complete. Since this sync is not based on any community tag, I created a mark-up tag to make it easy to track when syncs are done. I will follow this  pattern to name such tags:

sync.<year>.<month>.<day>

If more than one sync is done in the same day, I will add a .<sequence> number at the end.


etirelli@yoda script [6.0.x=] $ ./git-all.sh tag -n -l "sync*"

===============================================================================
Repository: droolsjbpm-build-bootstrap
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: droolsjbpm-knowledge
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: kie-commons
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: drools
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: optaplanner
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: jbpm
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: uberfire
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: guvnor
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: kie-wb-common
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: droolsjbpm-integration
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: jbpm-form-modeler
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: drools-wb
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: droolsjbpm-tools
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: droolsjbpm-build-distribution
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: jbpm-designer
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: jbpm-console-ng
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: kie-wb-distributions
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: dashboard-builder
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

===============================================================================
Repository: jbpm-dashboard
===============================================================================
sync.2013.08.07 BZ-988773: synching private product branch from the public product branch

etirelli@yoda script [6.0.x=] $ ./git-all.sh log -1 --oneline

===============================================================================
Repository: droolsjbpm-build-bootstrap
===============================================================================
bc6af6e adding dependencies for jbpm-designer

===============================================================================
Repository: droolsjbpm-knowledge
===============================================================================
016a43c Rename parent pom from org.drools:droolsjbpm-parent to org.kie:kie-parent-with-dependencies

===============================================================================
Repository: kie-commons
===============================================================================
1434a17 mechanism to dispose daemon without breaking nio2 semantics (cherry picked from commit 9a6c71436082c11f2004a795f2b2326a15f9a26b)

===============================================================================
Repository: drools
===============================================================================
93fae56 Fixing pom version

===============================================================================
Repository: optaplanner
===============================================================================
dcf14bb Fix vrp template benchmark (cherry picked from commit 6194c4bfe4f57a1cd569d6651d86e51154a7db24)

===============================================================================
Repository: jbpm
===============================================================================
573bc35 Fixing standalone-*.xml configurations for server so that JMS queues can be created

===============================================================================
Repository: uberfire
===============================================================================
08381bc downgraded kie-commons.version to 6.0.0-SNAPSHOT

===============================================================================
Repository: guvnor
===============================================================================
baf7ead BZ-991059 : Deployment units - wrong version after server restart (cherry picked from commit 40bb7a55f81b14c87c5c64d8fd44b16b197829e7)

===============================================================================
Repository: kie-wb-common
===============================================================================
9d96fad feature for adding packages to kmodule.xml (cherry picked from commit f6220c1abbc4c2ff023b58253c323418051d72fa)

===============================================================================
Repository: droolsjbpm-integration
===============================================================================
7193864 fix simulation test (cherry picked from commit e948e82ffa36f62656f5bd1c09cf258cfd01a35e)

===============================================================================
Repository: jbpm-form-modeler
===============================================================================
85352ef fix for onsave in formmodelerpresenter

===============================================================================
Repository: drools-wb
===============================================================================
c0e145b another test that needs to be fixed (cherry picked from commit 0611c96e96a8db4537b4d8f29c65c68a769700c2)

===============================================================================
Repository: droolsjbpm-tools
===============================================================================
f2a2059 Rename parent pom from org.drools:droolsjbpm-parent to org.kie:kie-parent-with-dependencies

===============================================================================
Repository: droolsjbpm-build-distribution
===============================================================================
3fd6987 Rename parent pom from org.drools:droolsjbpm-parent to org.kie:kie-parent-with-dependencies

===============================================================================
Repository: jbpm-designer
===============================================================================
ab1dde1 JBPM-3834 - Disable resizing of west and east panels.

===============================================================================
Repository: jbpm-console-ng
===============================================================================
74cb096 BZ-982543: fix previous/next behaviour for month view

===============================================================================
Repository: kie-wb-distributions
===============================================================================
64170a8 Bug 987942 Add redhat branding for BPM & BRMS workbench (cherry picked from commit e59428c2458a084bc6cbb0fdb0c9edfdd2ed6d46)

===============================================================================
Repository: dashboard-builder
===============================================================================
95a1f15 BZ-982548 Apply the redhat branding and apply Rogers's fix for resolving conflict to login.jsp (cherry picked from commit 4758bc319af0a836d6584fc64a3cbf3668175b24)

===============================================================================
Repository: jbpm-dashboard
===============================================================================
82d930e Rename parent pom from org.drools:droolsjbpm-parent to org.kie:kie-parent-with-dependencies

Total time: 1s
Comment 6 Edson Tirelli 2013-08-14 19:00:06 EDT
Sync done.

etirelli@yoda script [6.0.x=] $ git tag -l sync*
sync.2013.08.07
sync.2013.08.14
Comment 7 Edson Tirelli 2013-08-17 00:04:47 EDT
As discussed during the PM meeting last Wednesday, another sync done.

etirelli@yoda droolsjbpm-build-bootstrap [6.0.x=] $ git tag -l sync*
sync.2013.08.07
sync.2013.08.14
sync.2013.08.16
Comment 8 Edson Tirelli 2013-08-21 19:16:04 EDT
Sync'd as requested:

etirelli@yoda droolsjbpm-build-bootstrap [(sync.2013.08.21)] $ git tag -l sync*21

sync.2013.08.21

This tag is equivalent to community CR2 release minus the version update on the poms, as requested by Ryan.
Comment 10 Edson Tirelli 2013-08-27 13:27:49 EDT
Sync done:

etirelli@yoda script [master=] $ git tag -l sync*26
sync.2013.08.26
Comment 11 Edson Tirelli 2013-09-04 21:38:46 EDT
Sync done. This is equivalent to the community CR3 release, minus the version change commits as requested.

etirelli@yoda script [master=] $ git tag -l sync*04
sync.2013.09.04
Comment 12 Edson Tirelli 2013-09-27 16:40:59 EDT
Sync done. This is equivalent to the community CR4 release, minus the version change commits as requested.

etirelli@yoda script [master=] $ git tag -l sync*27
sync.2013.09.27
Comment 13 Edson Tirelli 2013-10-01 14:15:33 EDT
A new tag was published. 

etirelli@yoda script [master=] $ git tag -l sync.2013.10*
sync.2013.10.01

This tag is equivalent to community CR4 release, minus the version change commits, plus the following 4 cherry-picks:

* Fixes the circular dependency that was reported by Ryan:
https://github.com/droolsjbpm/guvnor/commit/7ab0fb77c10d35c566ee3572281075db5f69b3da

* Previously missing branding commits:
https://github.com/jboss-integration/dashboard-builder/commit/b5ce95797b93a7755f02e943e4571b45517391f9

https://github.com/jboss-integration/dashboard-builder/commit/562c98d02fabeb6766fbb24f77e81cd6e8d54607

* Fixes critical jbpm-designer bug:
https://github.com/droolsjbpm/jbpm-designer/commit/3d17b3b42347cbd6a0ac992006b08f017ce504e5
Comment 14 Edson Tirelli 2013-10-02 12:23:57 EDT
As discussed during the PM meeting, I published a new tag:

etirelli@yoda script [master=] $ git tag -l sync*.02
sync.2013.10.02

The only differences between the sync.2013.10.01 tag and 2013.10.02 tag are in the jbpm-designer module:

etirelli@yoda jbpm-designer [master=] $ git log -3 --oneline sync.2013.10.02
8611e26 fixes for morphing menu and service tasks (cherry picked from commit 3de9b1d411f469cdb665e55dcb9a656dbb4789aa)
048085d BZ 1006997 : Most tasks labelled Generic (cherry picked from commit ccc235d2357bca83b21b8e0605416bc5859a3c2b)
2f94342 BZ 1006997 : Most tasks labelled Generic (cherry picked from commit f399650e6f63110b72be7455cc05ae2f690f5867)

For easy reference, here is the full change log between the community CR4 tag (sync.2013.09.27) and the current tag (sync.2013.10.02):

./git-all.sh log --oneline sync.2013.09.27..sync.2013.10.02

===============================================================================
Repository: guvnor
===============================================================================
946559f removed cyclic dependency with kie-wb-commons (cherry picked from commit 7ab0fb77c10d35c566ee3572281075db5f69b3da)

===============================================================================
Repository: jbpm-designer
===============================================================================
8611e26 fixes for morphing menu and service tasks (cherry picked from commit 3de9b1d411f469cdb665e55dcb9a656dbb4789aa)
048085d BZ 1006997 : Most tasks labelled Generic (cherry picked from commit ccc235d2357bca83b21b8e0605416bc5859a3c2b)
2f94342 BZ 1006997 : Most tasks labelled Generic (cherry picked from commit f399650e6f63110b72be7455cc05ae2f690f5867)
7af8c62 fixes for morphing menu and service tasks (cherry picked from commit 3d17b3b42347cbd6a0ac992006b08f017ce504e5)

===============================================================================
Repository: dashboard-builder
===============================================================================
562c98d BZ:983429 - Text in selects in new dashbuilder branding is not fully displayed (cherry picked from commit 5a8cf4e3f6e9e8031c8eacf78cd22ee77f495a62)
b5ce957 BZ:1007267 - First login into the Dashboard ends with white screen (cherry picked from commit fdf8f81b2ced1c83c246747fb63deea1473b81ae)
Comment 17 Ryan Zhang 2013-10-07 23:21:02 EDT
Got it!
Starting the ER4 with sync.2013.10.02.
Comment 19 Edson Tirelli 2013-10-09 18:20:50 EDT
As discussed during the PM meeting, I published a new tag:

etirelli@yoda script [master=] $ git tag -l sync*.09
sync.2013.10.09

This is the tag with the fixes for ER4 candidate.
Comment 20 Rajesh Rajasekaran 2013-10-25 16:49:50 EDT
Requesting a product branch sync with the latest community code as of Oct 25th.
To be able to kick start the ER5 build without having a dependency on the Community Final tag, we would start building ER5 with this sync which would still contain 200+ bug fixes. 
There will not be a community tag corresponding to this sync or sanity tests done at the time of testing. This risk is understood and we will pick up additional fixes or sync up to the Community Final if we run into any build issues or integration problems.
Comment 21 Edson Tirelli 2013-10-25 20:08:54 EDT
As requested, I sync'd the product branch with the community code as of today. Tag name is:

sync.2013.10.25

Please note that this tag was not manually tested by engineering. Only automated build was executed.
Comment 22 Edson Tirelli 2013-10-28 21:03:57 EDT
As requested, I sync'd the product branch with the community code again, picking up the module changes that were committed after the last tag from Friday. Tag is named:

sync.2013.10.28

Please note that this tag was not manually tested by engineering. Only automated build was executed.
Comment 25 Ryan Zhang 2013-10-30 04:09:37 EDT
Created attachment 817333 [details]
builderror.sync10.28.zip

Attached the version patch  and error build.log
Comment 29 Edson Tirelli 2013-10-30 17:56:25 EDT
New tag created fixing the maven plugin issue + sync'ing code with community HEAD as of today. Please note that engineering did not execute any manual test. Also, there was no time to check if all the tests passed, but you can ignore any test failure. They will be all green when we do the community release in the next couple days.

sync.2013.10.30
Comment 30 Edson Tirelli 2013-11-05 21:29:43 EST
New tag created:

sync.2013.11.05

This tag is equivalent to community final release.
Comment 31 Ryan Zhang 2013-11-08 02:35:16 EST
Two issues are found for this tag:
1)As Pedro pointed out, the new modulization work is not included
2)An build error found in jbpm-console-ng/jbpm-console-ng-module-archetype. (I noticed that it has been fixed in 6.0.x, but the tag 11.05 has this problem. So I think next tag should contain this fix without efforts)

New tag is required for ER5. 
Update to "Assigned" status.

Build error in 2:
Could not find goal 'add-archetype-metadata' in plugin org.apache.maven.plugins:maven-archetype-plugin:2.2 among available goals create, generate, crawl, update-local-catalog, integration-test, create-from-project, jar, help -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoNotFoundException
Comment 32 Edson Tirelli 2013-11-08 16:54:14 EST
Ryan, regarding (2), I am not sure which fix are you talking about? I don't see any commits in the module since the last tag, so there is nothing else to cherry-pick from there. 

I am creating a new tag now. If by any chance you see this message and can clarify before I create the tag great. Otherwise I will publish a new tag and if still missing something will do another.
Comment 33 Edson Tirelli 2013-11-08 17:30:46 EST
Ryan, 

I am publishing a new tag "sync.2013.11.08". It is based on the previous tag (sync.2013.11.05), plus the following commits:

(drools)
https://github.com/droolsjbpm/drools/commit/d582424d4

(guvnor)
https://github.com/droolsjbpm/guvnor/commit/6a570a2b9

(kie-wb-distributions)
https://github.com/jboss-integration/kie-wb-distributions/commit/163152e9e17a8b9d52e662a3ff22aa3e4dc7dc1c
https://github.com/jboss-integration/kie-wb-distributions/commit/f3f163106be1cd5535295d5a4f722d218c921984
https://github.com/jboss-integration/kie-wb-distributions/commit/3015db340369fbbaec0f435c63e16f44527120eb
https://github.com/jboss-integration/kie-wb-distributions/commit/afc12fea7073ea892e7634708d132b5276ab37a1

As I mentioned, I did not understand the problem you reported above in (2). I did build the tag locally and it worked. If I am missing something, please let me know and I will do another one.

Thanks
Comment 34 Edson Tirelli 2013-11-08 17:53:05 EST
Ryan, 

Published another tag with one late arrival:

(droolsjbpm-knowledge)
https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/f95713bd2bdab4e91fb5f106f8ddcf7452a57037

The tag is "sync.2013.11.08.2"
Comment 36 Edson Tirelli 2013-11-19 21:48:51 EST
New tag published: sync.2013.11.19

This contains the code changes for tickets requested for ER5.
Comment 37 Edson Tirelli 2013-11-27 16:02:05 EST
As discussed by e-mail, in order to fix this test blocker:

https://bugzilla.redhat.com/show_bug.cgi?id=1035283

I am creating a new tag for Uberfire *only*. No other repo was updated and no other tag was created. Only the uberfire repository:

$ git tag -l sync.2013.11.27
sync.2013.11.27

If production can build uberfire only and replace the uberfire jars into the current ER5 build, it should fix the problem. 

Here is the commit:

https://github.com/jboss-integration/uberfire/commit/cb00eaaba4fb91f3880536dc5caed6a16929541a

In case that is not possible and production does need a full new build, let us know how would you like to proceed.
Comment 38 Ryan Zhang 2013-12-09 04:46:22 EST
Waiting for sync tag of ER6. Mark status to ASSIGNED
Comment 39 Edson Tirelli 2013-12-11 17:35:33 EST
A new tag was created for ER6:

sync.2013.12.11

Please note that we did upgrade the dependency from the integration BOM file, as requested by productization, to:

<version.org.jboss.integration-platform>6.0.0.CR5</version.org.jboss.integration-platform>

This includes the upgrade to Errai 2.4.3.Final.

Unfortunately, this upgrade was done late this afternoon, and it was not possible for us to do extensive testing after the upgrade. In a quick test we've run it seems to be working.
Comment 40 Edson Tirelli 2013-12-19 19:52:51 EST
New tag created for the ER7 build:

sync.2013.12.19
Comment 41 Edson Tirelli 2013-12-20 13:44:25 EST
As discussed during the call today, I created a new tag to be used for ER7:

sync.2013.12.20

This new tag is identical to the previous tag (sync.2013.12.19), except for the following commit:

https://github.com/droolsjbpm/kie-wb-distributions/commit/1862fd58a5e58984a480d66fb397961c1215096a
Comment 42 Ryan Zhang 2014-01-01 03:01:43 EST
Move to assign and wait for ER8 tag
Comment 43 Edson Tirelli 2014-01-08 19:21:59 EST
  As requested during the PM meeting today, I created a new tag for the FSW team:

sync.2013.11.19.fsw.1

   This tag is based on the sync.2013.11.19 tag + the fix for the following security ticket:

https://bugzilla.redhat.com/show_bug.cgi?id=991058

   As discussed, I tested the build locally and it is working, but we did not go through a full release testing as that would require 2 days to do it.

   Let me know if you have any questions.
Comment 44 Ryan Zhang 2014-01-14 04:16:00 EST
waiting for CR1 tag.
Comment 45 Edson Tirelli 2014-01-14 18:51:26 EST
CR1 tag is available:

sync.2014.01.14.
Comment 46 Edson Tirelli 2014-01-16 11:22:45 EST
As Ryan reported, there was a problem when we split the product branches between 6.0.0.CR1/GA branch and the 6.0.1.X branch and create the tags. The end result is the the tag did not include some commits required for CR1. The affected repositories are:

dashboard-builder: 1 commit
kie-wb-distribution: 2 commits
jbpm-dashboard: 3 commits

I fixed the problem and published a new tag this morning (sync.2014.01.16). This requires productization to rebuild the last 4 repositories of the build based on the fixed tag (sync.2014.01.16). Listed here:

dashboard-builder
jbpm-dashboard
kie-wb-distributions
droolsjbpm-build-distribution

There is no need to rebuild any of the previous modules, as they would be identical, unless productization needs to for some other reason.

Please let me know if you have any questions.
Comment 47 Edson Tirelli 2014-01-23 16:21:39 EST
New tag created for CR2 build: sync.2014.01.23

The following tickets had code changes included in this tag since the previous tag (sync.2014.01.16):

 Bug ID    Summary
 1056582    Guided rule editor fails to open rules that use from
 1055519    Invalid shutdown of TimerService thread pool causes thread leak
 1056346    jbpm-test persistence.xml is missing TaskEventImpl
 991058     KIE workbench uses MVEL.eval() with unfiltered user input (arbitrary Java code execution is possible)
 1056599    Memory leak in phreak when a newly added fact is removed before a join node having that fact as right input is evaluated
 1019268    Plus sign in a file name causes error pop-up
 1055703    Reopening Guided Rule with DSL will replace all DSLs
 1049390    Synchronization of assets in BRMS cluster does not work
 1055642    Validation of DRL always fails with 'Duplicate rule name' error after saving the rule
 1056950    Guided rule editor: Bound variables are broken when using Strings and OR/AND on the top most level
 1011420    Unable to open Project screen on IBM java platform
 1048251    Unable to save process with compensation activity
Comment 48 Rajesh Rajasekaran 2014-02-10 18:41:42 EST
We can reuse the same BZ for synchronize requests for 6.0.1
Comment 49 Edson Tirelli 2014-02-11 00:25:57 EST
The tag to build 6.0.1.ER1 is available (sync.2014.02.12) as previously discussed.

This tag includes all tickets closed until Feb 9th 2014, plus the following ticket that was closed this morning:

https://bugzilla.redhat.com/show_bug.cgi?id=1063255
Comment 50 Edson Tirelli 2014-02-28 17:51:39 EST
The tag to build 6.0.1.ER2 is available (sync.2014.02.28) as previously discussed.

The tag includes all tickets closed until Feb 27th 2014, plus the following 3 tickets:

https://bugzilla.redhat.com/show_bug.cgi?id=996480

https://bugzilla.redhat.com/show_bug.cgi?id=1070739

https://bugzilla.redhat.com/show_bug.cgi?id=1054822
Comment 51 Edson Tirelli 2014-03-04 17:18:06 EST
A new tag is available: sync.2014.03.04

This tag is identical to the previous tag (sync.2014.02.28), except for the addition of the fixes to the following tickets, as previous discussed in the triage meeting:

https://bugzilla.redhat.com/show_bug.cgi?id=1071874
https://bugzilla.redhat.com/show_bug.cgi?id=1071908
https://bugzilla.redhat.com/show_bug.cgi?id=1062547
https://bugzilla.redhat.com/show_bug.cgi?id=1067418
https://bugzilla.redhat.com/show_bug.cgi?id=1072462
https://bugzilla.redhat.com/show_bug.cgi?id=1066483
https://bugzilla.redhat.com/show_bug.cgi?id=1071991
https://bugzilla.redhat.com/show_bug.cgi?id=1072460

This is the base tag for the re-spin of the 6.0.1.ER2 build.
Comment 52 Edson Tirelli 2014-03-18 16:12:43 EDT
The tag for 6.0.1.CR1 is available: sync.2014.03.18

This tag is based on the previous tag (sync.2014.03.04) plus the fixes for the following tickets:

BRMS:
1077105	Cannot use more than one KieSession at time when created directly from the KieContainer
1062547	KieScanner doesn't work with non-timestamped snapshot artifacts
1074672	knowledge-api: cannot build Decision Table from CSV
1077344	StringIndexOutOfBoundsException when JITting the rule conditions
1073001	Advanced enumeration stopped working
1076375	GDT: Editor for operation 'is contained in the (comma separated) list' is not displayed
1077212	Guided rule editor: setting fact field to a bound variable in RHS produces invalid DRL
1071213	There's already another KieContainer created from a different ClassLoader
1072043	Cannot access fact fields in test scenario until it is saved and reopened
1073379	Cannot access subfields in guided editor
1075584	Guided rule editor does not let the user to set parameters for methods
1073867	Fact fields are not accessible in Guided DT Wizard
1052939	GDT Audit log: admin is not everything
1072679	Kie Workbench is not working in large scale enterprise app.
1073818	NPE in server log when creating new rule (#2)
1071385	Unable to validate an Enumeration with external class from uploaded jar in BPM6
1073660	CVE-2012-0818 CVE-2011-5245 security: RESTEasy: XML eXternal Entity (XXE) flaw [brms-6]
1044973	Guided rule editor does not let the user to set objects as a parameters for method calls that have objects super type as a parameter
1068737	Jcr2vfs: imports in test scenarios are incorrectly migrated, the Business Central can't open the scenarios

BPMS:
1073020	Missing kie-services-client.jar in jboss-bpms-engine.zip
1069174	Cannot access task not assigned to any process via REST API
1065314	Unable to retrieve a JSON formatted Task instance via the REST API
1074483	Web service task with ASYNC mode fails with javax.persistence.TransactionRequiredException
1073659	CVE-2012-0818 CVE-2011-5245 security: RESTEasy: XML eXternal Entity (XXE) flaw [bpms-6]
1071144	BPMS cluster with deployment unit using PER_PROCESS_INSTANCE session strategy throws java.lang.IllegalStateException
1076848	Can's save edited properties of form fields, because save button not reachable
1073473	When new for is created with the same name as some existing form, it overwrites the existing form
1073433	Data origin type is not shown in Form Data Origins
1077149	Form modeler can't add boolean fields from custom POJOs, when getter starts with "is"
1036647	Improve RuntimeManager for Spring usage
1072353	Improve Spring integration
1075955	Designer displays just empty page on EWS
1072314	Forms are not automatically generated for provided process from designer
1075134	Simulation Engine: Simulation which contains parallel gateway fails
1073784	Missing label for button 'Restore' in Local History editor
Comment 53 Edson Tirelli 2014-03-19 16:01:35 EDT
As discussed during the PM call, a new tag is available: sync.2014.03.19

The tag is based on the previous one (sync.2014.03.18) plus the fix for the following ticket:

https://bugzilla.redhat.com/show_bug.cgi?id=1078241
Comment 54 Edson Tirelli 2014-03-24 19:20:37 EDT
As requested a new tag is available: sync.2014.03.24

This tag is based on the previous tag (sync.2014.03.19) plus the fixes for the following tickets:

Bug ID	Summary
1075955	Designer displays just empty page on EWS
1079253	BRMS 6.0.1 CR1 - guided rule editor update rule not shown in UI editor.
1079982	Process deployed to Business-central with PER_PROCESS_INSTANCE session strategy cannot be started via REST
1079372	DSL sentence field loses edit ability when reopened
1073659	CVE-2012-0818 CVE-2011-5245 security: RESTEasy: XML eXternal Entity (XXE) flaw [bpms-6]
1073660	CVE-2012-0818 CVE-2011-5245 security: RESTEasy: XML eXternal Entity (XXE) flaw [brms-6]

This will be used as the base tag for the 6.0.1.CR2 build.
Comment 55 Edson Tirelli 2014-04-22 14:30:39 EDT
A new tag was published: sync.2014.04.22. As discussed during the PM call, this will be used as the base for 6.0.2.ER2 build.
Comment 56 Ryan Zhang 2014-04-22 20:59:06 EDT
ER2 is proceeding and reset the status for ER3.
Comment 57 Edson Tirelli 2014-05-22 15:26:33 EDT
A new tag was published: sync.2014.05.22. This tag will be used as the base for 6.0.2.ER3 build.
Comment 58 Edson Tirelli 2014-06-12 15:33:37 EDT
A new tag was published: sync.2014.06.12. This tag will be used as the base for 6.0.2.CR1 build.
Comment 59 Ryan Zhang 2014-06-13 02:12:09 EDT
Accepted, reset the status.
Comment 60 Edson Tirelli 2014-06-18 17:55:45 EDT
   While we continue to try to reproduce the problem after the fixes, we published a new tag as discussed during the call so that Ryan and Julian can get started with the work on the new build:

sync-6.0.x-2014.06.18

   If we do find more fixes are required, we will published another tag tomorrow. 

   This tag is based on the previous tag (sync.2014.06.12) + the fixes to the following tickets:

https://bugzilla.redhat.com/show_bug.cgi?id=1110208 
https://bugzilla.redhat.com/show_bug.cgi?id=1110256
https://bugzilla.redhat.com/show_bug.cgi?id=1110794

   This tag is a candidate to use for 6.0.2.CR2.
Comment 61 Edson Tirelli 2014-06-19 00:06:30 EDT
  Porcelli finished testing the changes in his new WAS setup. He was able to reproduce the original error (before fixes), and test the patched deployable provided by Julian. He identified one more lib missing in there due to an exclude, and fixed with the following commit:

https://github.com/droolsjbpm/kie-wb-distributions/commit/89fc7b6ca

   After this commit, the tests succeeded. 

   I created a new tag including the commit: "sync-6.0.x-2014.06.19". Please use this tag for the 6.0.2.CR2 build.
Comment 62 Ryan Zhang 2014-06-19 02:15:38 EDT
OK, will do !
Comment 63 Michael 2014-06-26 10:44:58 EDT
The tag sync-6.1.x-2014.06.26 was created based on community 6.1.0.CR1 and will be used as the base for the 6.1.0.DR1 product build
Comment 64 Michael 2014-06-26 10:53:26 EDT
Since UF is now a project droolsjbpm doesn't release anymore,
from this version (droolsjbpm: 6.1.0) it is not anymore contemplated to include in the tags.
Comment 65 Edson Tirelli 2014-08-08 15:54:13 EDT
New tag published: sync-6.2.x-2014.08.08

This tag is equivalent to the community release 6.2.0.Beta1 + product branding changes. 

It should be used as the base of the product 6.1.0.DR2 build.
Comment 66 Edson Tirelli 2014-09-05 18:05:25 EDT
New tag published: sync-6.0.x.2014.09.05

This will be the base tag for the 6.0.3 new build.
Comment 67 Ryan Zhang 2014-09-11 23:59:56 EDT
Just for recording. 
After communicate with Edson, the cutting date for DR2 seems to be Auguest 1.
But there are a few more commits are cherry picked afterwards.

(In reply to Edson Tirelli from comment #65)
> New tag published: sync-6.2.x-2014.08.08
> 
> This tag is equivalent to the community release 6.2.0.Beta1 + product
> branding changes. 
> 
> It should be used as the base of the product 6.1.0.DR2 build.
Comment 68 Michael 2014-09-16 14:41:43 EDT
New tag published: sync-6.2.x-2014.09.05
The cut off date was Friday the 5th Sep.

This TAG is equivalent to the community release 6.2.0.Beta2 + product branding changes. 

It should be used as the base of the product 6.1.0.DR3 build.
Comment 69 Edson Tirelli 2014-09-26 23:37:41 EDT
New tag published: sync-6.2.x-2014.09.25
The cut off date was Wednesday, Sep 24th, 2014.

This TAG is equivalent to the community release 6.2.0.Beta3 + product branding.

It should be used as the base of the product 6.1.0.DR4 build.
Comment 70 Michael 2014-09-30 17:12:43 EDT
New tag published: sync-6.2.x-2014.09.30

It was taken the previous tag sync-6.2.x-2014.09.25 as base and two fixes were commited:

https://github.com/jboss-integration/kie-wb-distributions/commit/92222b9afcbed530e2773f31e78ff6fcfbd9124f

and

https://github.com/jboss-integration/droolsjbpm-build-bootstrap/commit/94fced2a45ca5a8c371c0fd2aaafb8e61230b517

This tag is equivalent to community 6.2.0.Beta3 + product branding.

It should be used as the base of product 6.1.0.DR4 build.
Comment 71 Edson Tirelli 2014-10-10 21:59:35 EDT
New tag published: sync-6.0.x-2014.10.10

This tag should be used as the base for the 6.0.3 roll-up patch 1 as detailed here:

https://bugzilla.redhat.com/show_bug.cgi?id=1146248
Comment 72 Edson Tirelli 2014-10-24 18:08:04 EDT
New tag published: sync-6.2.x-2014.10.24

This tag should be used as the basis for the 6.1.0.ER1 build.

Please note that this tag contains the upgrade to Uberfire 0.5. This upgrade had a large impact in code changes and some dependency changes.
Comment 73 Ryan Zhang 2014-10-27 04:34:56 EDT
Ok, Thanks Edson.
Please also suggest the cutting date for this tag. I need to modified the Bugzilla issues to correct status for ER1
(In reply to Edson Tirelli from comment #72)
> New tag published: sync-6.2.x-2014.10.24
> 
> This tag should be used as the basis for the 6.1.0.ER1 build.
> 
> Please note that this tag contains the upgrade to Uberfire 0.5. This upgrade
> had a large impact in code changes and some dependency changes.
Comment 74 Edson Tirelli 2014-10-27 15:45:23 EDT
--- FROM: Michael Biarnes

Wednesday the 22.10.2014 was the last time where I pulled the community 6.2.x branch and checked it out 
to create the 6.2.0.CR1 release branch. From this date on I only cherry-picked:
     
      01.https://github.com/droolsjbpm/kie-wb-distributions/commit/66e067f55 [66e067f55903a6d9964731facd7065f231cba464] porcelli
      02.https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/7fb10378fa9af14f17401db72323524ab1842f33 [7fb10378fa9af14f17401db72323524ab1842f33] manstis
      03.https://github.com/droolsjbpm/kie-uberfire-extensions/commit/399f1957b1c82664be46c523d0daeb0eb3eb6090 [399f1957b1c82664be46c523d0daeb0eb3eb6090] manstis
      04.https://github.com/droolsjbpm/drools-wb/commit/d294605c4d8ed95cb14d6ef17646bf9a3b88a2d0 [d294605c4d8ed95cb14d6ef17646bf9a3b88a2d0] manstis
      05.https://github.com/droolsjbpm/kie-wb-distributions/commit/69641eb715dcec37a2670e7edf1bb325aa4c8049 [69641eb715dcec37a2670e7edf1bb325aa4c8049] jeremyl
      06.https://github.com/droolsjbpm/droolsjbpm-integration/commit/5f82e2c0fd5a3a4305811986a47bc2a2a314a262 [5f82e2c0fd5a3a4305811986a47bc2a2a314a262] mriet
      07.https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/7005c17a58e4a98617ebbc1706e717cab68573e1
      08.https://github.com/droolsjbpm/drools/commit/63b7940567fab1c5d2dc58b0d8bf08cd51389d11
      09.https://github.com/droolsjbpm/droolsjbpm-integration/commit/184e907cb9022e5514200e1a2503bdeb9e6400af
      10.https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/d9f3161313f55638daa59df8fec4ed8f9d07bce0
      11.https://github.com/droolsjbpm/guvnor/commit/80336a501843ef448f89051e0c24001b42cd0190
      12.https://github.com/droolsjbpm/guvnor/commit/4ef22a49a0f3d65f9fe6d849a66520db35fa4754
Comment 75 Edson Tirelli 2014-10-28 18:15:28 EDT
As requested, a new tag was created for the rebuild of the 6.0.3 roll-up patch 1:

sync-6.0.x-2014.10.28

This tag is identical to sync-6.0.x-2014.10.10 plus the following commits:

https://github.com/jboss-integration/kie-wb-distributions/commit/6ba17ccf2a4cec4557574f8cc72a7345ece57957
https://github.com/jboss-integration/droolsjbpm-integration/commit/f0e966039feb6b2c0201415938f745cfb4946673
https://github.com/jboss-integration/uberfire/commit/43addbaf429f2baa3071b7c48cd7732285d4b27f

The commits above fix the following tickets: BZ#1155269 and BZ#1103970
Comment 76 Ryan Zhang 2014-10-29 08:03:14 EDT
OK, the new components have been rebuilt and they will be used to repack for the rollup patch.
(In reply to Edson Tirelli from comment #75)
> As requested, a new tag was created for the rebuild of the 6.0.3 roll-up
> patch 1:
> 
> sync-6.0.x-2014.10.28
> 
> This tag is identical to sync-6.0.x-2014.10.10 plus the following commits:
> 
> https://github.com/jboss-integration/kie-wb-distributions/commit/
> 6ba17ccf2a4cec4557574f8cc72a7345ece57957
> https://github.com/jboss-integration/droolsjbpm-integration/commit/
> f0e966039feb6b2c0201415938f745cfb4946673
> https://github.com/jboss-integration/uberfire/commit/
> 43addbaf429f2baa3071b7c48cd7732285d4b27f
> 
> The commits above fix the following tickets: BZ#1155269 and BZ#1103970
Comment 77 Edson Tirelli 2014-11-07 17:37:02 EST
New tag published: sync-6.2.x-2014.11.07. This tag will be the basis for the 6.2.0.ER2 build.

Cut date was yesterday, Nov 6th, 2014.
Comment 78 Edson Tirelli 2014-11-07 18:14:27 EST
New tag published: sync-6.0.x-2014.11.07. This tag is to be used to rebuild the 6.0.3 roll up patch 1 if necessary.

This tag is identical to sync-6.0.x-2014.10.28, except that it reverts the commit:

https://github.com/jboss-integration/kie-wb-distributions/commit/6ba17ccf2a4cec4557574f8cc72a7345ece57957
Comment 79 Edson Tirelli 2014-11-13 22:01:51 EST
New tag published: sync-6.0.x-2014.11.13. This tag is to be used to rebuild the 6.0.3 roll up patch 1.

This tag is identical to sync-6.0.x-2014.11.07, plus the following additional commits:

ttps://github.com/droolsjbpm/jbpm-designer/commit/13233284ad0e2dd530c8a1469ce52d2c78f0e560

https://github.com/droolsjbpm/jbpm-designer/commit/ed12a6347a89b8a058d6389caafed710a7ec9ac4

https://github.com/droolsjbpm/jbpm-designer/commit/b4645acdc41649afed3cfaf4b99320fbb7198e99
Comment 80 Ryan Zhang 2014-11-14 02:36:53 EST
OK, Thanks!
Comment 82 Edson Tirelli 2014-12-08 15:27:27 EST
New tag published: "sync-6.2.x-2014.12.08". This tag will be used to build the 6.1.0.ER3 version.

The cut date for this tag was Dec 3rd, 2014.
Comment 83 Edson Tirelli 2014-12-24 10:13:57 EST
New tag published: "sync-6.0.x-2014.12.24". This tag will be used to build the 6.0.3 roll-up patch 2.
Comment 84 Ryan Zhang 2014-12-24 19:40:04 EST
(In reply to Edson Tirelli from comment #83)
> New tag published: "sync-6.0.x-2014.12.24". This tag will be used to build
> the 6.0.3 roll-up patch 2.

Thanks Edson! 
I will start to prepare the rollup patch .
Comment 85 Michael 2015-01-05 14:24:10 EST
the new tag published: sync-6.0.x-2015.01.05
This tag will be used to build the 6.0.3 roll-up patch 2
Comment 86 Edson Tirelli 2015-01-05 14:28:20 EST
Ryan, please note that the new tag Michael mentioned above (sync-6.0.x-2015.01.05) is for the rebuild of the rp2, with the following changes over the previous tag (sync-6.0.x-2014.12.24):

- Fixed the branding 
- Added the fix for the following CVE: https://bugzilla.redhat.com/show_bug.cgi?id=1150634
Comment 87 Edson Tirelli 2015-01-09 19:11:21 EST
New tag published: sync-6.2.x-2015.01.09

This tag will be used for the BxMS 6.1 ER4 build.

The cut date was Jan 7th.
Comment 88 Michael 2015-01-26 03:07:12 EST
new tag published: sync-6.0.x-2015.01.22
This tag will be used to build the 6.0.x roll-up-patch #2
Comment 89 Ryan Zhang 2015-01-26 05:33:26 EST
(In reply to Michael from comment #88)
> new tag published: sync-6.0.x-2015.01.22
> This tag will be used to build the 6.0.x roll-up-patch #2

OK, I will proceed to rebuild the RollUp #2 based on this new Tag.
Comment 90 Michael 2015-01-26 14:24:16 EST
new TAG published: sync-6.0.x-2015.01.26
this tag has the commits of BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1175899

6.0.x:
https://github.com/droolsjbpm/kie-wb-common/commit/7050f864
https://github.com/droolsjbpm/guvnor/commit/1940df46

it will be used to build the 6.0.x roll-up patch #2
Comment 91 Michael 2015-02-06 15:54:01 EST
new tag pusblished: sync-6.2.x-2015.02.06
This tag will be used to build ER5
Comment 92 Edson Tirelli 2015-02-06 17:00:35 EST
The cut date for the tag in the previous comment was Feb 4th. A few late fixes were cherry-picked after that.
Comment 93 Ryan Zhang 2015-02-08 01:19:49 EST
(In reply to Edson Tirelli from comment #92)
> The cut date for the tag in the previous comment was Feb 4th. A few late
> fixes were cherry-picked after that.

Thanks Michael, Edson.
I am proceeding ER5 with the given tag.
Comment 94 Edson Tirelli 2015-03-02 14:02:17 EST
Just updating the ticket, as per the mail to the mailing list from Friday, Feb 27th, 2015:

-----
   As discussed before, we just published the candidate tag for the ER6 build:

sync-6.2.x-2015.02.27
 
   Cut date was Feb 27th, 2015. 

   IMPORTANT: please note that, as discussed on the PM call, because we moved up the tag date to speed up a new rebuild, we weren't able to completely sanity test it. Since Ryan has a list of BZs to fix on the productization side, we provided this tag for him to start working on, but we will continue to sanity test on Monday. If we do find any blockers, we will provide a replacement tag on Monday/Tuesday.
Comment 95 Michael 2015-03-20 14:28:53 EDT
new tag published: sync-6.2.x-2015.03.20
This tag will be used to build 6.1.0.CR1
Comment 96 Petr Široký 2015-04-01 21:00:46 EDT
New tag published: sync-6.2.x-2015.04.01. 

This tag should be used to build 6.1.0.CR2. Cut date was April 1st, 2015.
Comment 97 Michael 2015-04-09 12:38:15 EDT
new tag published: sync-6.0.x-2015.04.08
Cut date was April 8th, 2015.
This tag will be used to build the 6.0.x roll-up-patch #3
Comment 98 Michael 2015-05-08 10:08:40 EDT
New tag published: sync-6.2.x-2015.05.07
Cut date was 2015.05.07
This tag will be used to build the 6.1.1 patch
(more detailed information https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.05.07/sync-6.2.x-2015.05.07-1.txt )
Comment 99 Michael 2015-05-28 04:06:44 EDT
New tag published: sync-6.2.x-2015.05.27
Cut date was 2015.05.27
This tag will be used to build the 6.1.1 CR2
(more detailed information https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.05.27/sync-6.2.x-2015.05.27-1.txt )
Comment 100 Michael 2015-07-02 14:00:14 EDT
New tag published: sync-6.2.x-2015.06.30
Cut date was 2015.06.30
This tag will be used to build the 6.1.2 (CP02) Cumulative Patch Payload
(more detailed information https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.06.30/sync-6.2.x-2015.06.30-1.txt )
Comment 101 Michael 2015-07-08 12:30:23 EDT
New tag published: sync-6.3.x-2015.07.08
Cut date was the cut date of community 6.3.x.Beta2: 06.07.2015
This tag ill be used to build the 6.2.0.DR1
( more detailed information https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.07.08/sync-6.3.x-2015.07.08-1.txt )
Comment 102 Michael 2015-08-11 11:23:22 EDT
New tag published: sync-6.3.x-2015.08.11
Cut date was the cut date of community 6.3.0.CR1: 07.08.2015
This tag ill be used to build the 6.2.0.ER1
( more detailed information https://github.com/jboss-integration/kie-release-reports/tree/master/reports/tags/sync-6.3.x-2015.08.11)
Comment 103 Michael 2015-08-21 04:35:15 EDT
New tag published: sync-6.2.x-2015.08.20
Cut date was 2015.08.20
This tag ill be used to build the 6.2.x roll up patch 3
( more detailed information https://github.com/jboss-integration/kie-release-reports/tree/master/reports/tags/sync-6.2.x-2015.08.20)
Comment 104 Michael 2015-08-24 19:14:35 EDT
New tag published: sync-6.2.x-2015.08.24
Cut date was 2015.08.24
This tag ill be used to build the 6.2.x roll up patch 3
( more detailed information https://github.com/jboss-integration/kie-release-reports/tree/master/reports/tags/sync-6.2.x-2015.08.24 )
Comment 105 Michael 2015-09-02 13:10:34 EDT
New tag published: sync-6.3.x-2015.09.02
Cut date was 2015.08.31, the same CutOff date as community 6.3.0.CR2, that serves as base for this tag.
This tag will be used to build the 6.2.0.ER2
( more detailed information https://github.com/jboss-integration/kie-release-reports/tree/master/reports/tags/sync-6.3.x-2015.00.02 )
Comment 107 Michael 2015-09-08 17:27:12 EDT
New tag published: sync-6.2.x-2015.09.08

This tag will be used to build the 6.2.x roll up patch 3
( more detailed information https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.09.08/sync-6.2.x-2015.09.08-1.txt )
Comment 108 Michael 2015-09-17 19:37:58 EDT
New tag published: sync-6.3.x-2015.09.17

This tag will be used to build 6.2.0.ER3
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.09.17/sync-6.3.x-2015.09.17-1.txt)
Comment 109 Ryan Zhang 2015-09-18 05:56:58 EDT
(In reply to Michael from comment #108)
> New tag published: sync-6.3.x-2015.09.17
> 
> This tag will be used to build 6.2.0.ER3
> (more detailed information:
> https://github.com/jboss-integration/kie-release-reports/blob/master/reports/
> tags/sync-6.3.x-2015.09.17/sync-6.3.x-2015.09.17-1.txt)

Thanks Michael.
Will base on the new tag for ER3.
Comment 110 Michael 2015-09-30 13:54:13 EDT
New tag published: sync-6.2.x-2015.09.30

This tag will be used to build 6.1.4
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.09.30/sync-6.2.x-2015.09.30-1.txt)
Comment 111 Michael 2015-10-05 14:54:10 EDT
New tag published: sync-6.3.x-2015.10.01

This tag will be used to build 6.2 ER4
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.10.01/sync-6.3.x-2015.10.01-1.txt)
Comment 112 Michael 2015-10-09 05:28:47 EDT
New tag published: sync-6.2.x-2015.10.08

This tag will be used to build 6.1.4
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.10.08/sync-6.2.x-2015.10.08-1.txt)

As the version for Uberfire, Uberfire-extensions and dashbuilder are SNAPSHOT versions from the previous tag sync-6.2.x-2015.09.30
and the desire was only to add two cherry-picks these versions were not changed.

Veryfying the commits:
Uberfire 0.5.8-SNAPSHOT = Uberfire 0.5.7.Final
Uberfire extensions 0.5.8-SNAPSHOT = Uberfire 0.5.7.Final
Dashbuilder 0.2.3-SNAPSHOT = Dashbuilder 0.2.2.Final
Comment 113 Michael 2015-10-15 16:38:31 EDT
New tag published: sync-6.2.x-2015.10.15

This tag will be used to build 6.1.4
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.10.15/sync-6.2.x-2015.10.15-1.txt)
Comment 114 Michael 2015-10-29 17:01:19 EDT
New tag published: sync-6.3.x-2015.10.28

This tag will be used to build 6.2 ER5
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.10.28/sync-6.3.x-2015.10.28-1.txt)
Comment 115 Michael 2015-11-14 14:37:01 EST
New tag published: sync-6.3.x-2015.11.13

This tag will be used to build 6.2.0.CR1
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.11.13/sync-6.3.x-2015.11.13-1.txt)
Comment 116 Michael 2015-11-27 17:29:50 EST
New tag published: sync-6.3.x-2015.11.26

This tag will be used to build 6.2.0.CR2
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.11.26/sync-6.3.x-2015.11.26-1.txt)
Comment 117 Michael 2015-12-09 12:36:52 EST
New tag published: sync-6.2.x-2015.12.07

This tag will be used to build 6.1.5
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.12.07/sync-6.2.x-2015.12.07-1.txt)
Comment 118 Michael 2015-12-22 04:17:30 EST
New tag published: sync-6.2.x-2015.12.21

This tag will be used to build 6.1.5.CR2
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.2.x-2015.12.21/sync-6.2.x-2015.12.21-1.txt)
Comment 119 Michael 2016-01-11 12:54:43 EST
New tag published: sync-6.3.x-2016.01.11

This tag will be used to build 6.2.1 update patch
(more detailed information:https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.01.11/sync-6.3.x-2016.01.11-1.txt)
Comment 120 Michael 2016-01-21 11:32:26 EST
New tag published: sync-6.4.x-2016.01.21

This tag is the very first based on community tag 6.4.0.Beta1
(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.01.21/sync-6.4.x-2016.01.21-1.txt )
Comment 121 Petr Široký 2016-02-01 15:38:58 EST
New tag published: sync-6.3.x-2016.01.29

Target release: BxMS 6.2.1.CR2.

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.01.29/sync-6.3.x-2016.01.29-1.txt)
Comment 122 Michael 2016-02-24 13:01:15 EST
New tag published: sync-6.4.x-2016.02.23

Target release: BxMS 6.3.0.DR2.

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.02.23/sync-6.4.x-2016.02.23-1.txt)
Comment 123 Michael 2016-02-29 17:06:46 EST
New tag published: sync-6.3.x-2016.02.29

This tag will be used to build 6.2.2 update patch
(more detailed information:https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.02.29/sync-6.3.x-2016.02.29-1.txt)
Comment 124 Michael 2016-03-10 02:55:18 EST
New tag published: sync-6.4.x-2016.03.08

Target release: BxMS 6.3.0.ER1

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.03.08/sync-6.4.x-2016.03.08-1.txt)
Comment 125 Michael 2016-03-14 14:20:34 EDT
New tag published: sync-6.3.x-2016.03.14

This tag will be used to build 6.2.2.DR2 
(more detailed information:https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.03.14/sync-6.3.x-2016.03.14-1.txt)
Comment 126 Michael 2016-03-18 08:13:43 EDT
Typo!
In previous comment 125 (https://bugzilla.redhat.com/show_bug.cgi?id=988773#c125) it should say
This tag will be used to build 6.2.2.CR2
Comment 127 Michael 2016-03-24 19:16:55 EDT
New tag published: sync-6.4.x-2016.03.24

Target release: BxMS 6.3.0.ER2

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.03.24/sync-6.4.x-2016.03.24-1.txt)
Comment 128 Michael 2016-04-07 17:21:23 EDT
New tag published: sync-6.4.x-2016.04.07

Target release: BxMS 6.3.0.ER3

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.04.07/sync-6.4.x-2016.04.07-1.txt)
Comment 129 Michael 2016-04-21 12:09:31 EDT
New tag published: sync-6.4.x-2016.04.21

target release: BxMS 6.3.0.CR1

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.04.21/sync-6.4.x-2016.04.21-1.txt)
Comment 130 Michael 2016-04-26 09:54:56 EDT
New tag published: sync-6.3.x-2016.04.26

Target release: 6.2.x brms roll up patch 3

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.04.26/sync-6.3.x-2016.04.26-1.txt )
Comment 131 Michael 2016-04-26 17:07:33 EDT
New tag published: sync-6.3.x-2016.04.26-2

Taget release: 6.2.x brms rollup patch 3

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.04.26-2/sync-6.3.x-2016.04.26-2-1.txt )

IMPORTANT: This tag fixes missing dependency upgrades and replaces the previous one (mentioned in comment 130:https://bugzilla.redhat.com/show_bug.cgi?id=988773#c130).
Comment 132 Michael 2016-04-28 06:18:16 EDT
New tag pusblished: sync-6.4.x.2016.04.21-2

Target release: BxMS 6.3.0.CR2

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.4.x-2016.04.21-2/sync-6.4.x-2016.04.21-2-1.txt)
Comment 133 Michael 2016-05-19 13:18:41 EDT
New tag published: sync-6.3.x-2016.05.19

Target release: BxMS 6.2 Update 03 CR2

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.05.19/sync-6.3.x-2016.05.19-1.txt)
Comment 134 Michael 2016-05-30 11:43:57 EDT
New tag published: sync-6.3.x-2016.05.30

Target release: BxMS 6.2 Update 03 CR3

(more detailed information: https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2016.05.30/sync-6.3.x-2016.05.30-1.txt )

Note You need to log in before you can comment on or make changes to this bug.